ACE Step
統合
モデルID
ace-step
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ace-step?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"tags": "lofi, hiphop, drum and bass, trap, chill"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/ace-step?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"tags": "lofi, hiphop, drum and bass, trap, chill"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"tags": "lofi, hiphop, drum and bass, trap, chill",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/ace-step", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ja/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "ace-step",
"input": {
"tags": "lofi, hiphop, drum and bass, trap, chill"
}
}
Doitong APIを通じてACE Stepモデル(ace-step)を呼び出します。エージェント向けドキュメント: https://doitong.com/ja/developers/models/ace-step.md
POST https://api.doitong.com/v1/run/ace-step?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"tags": "lofi, hiphop, drum and bass, trap, chill"
}
レスポンスのステータスが"queued"または"running"の場合、"succeeded"になるまでGET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20をポーリングしてください。ファイルはoutputs[].urlにあります。同じボディでPOST https://api.doitong.com/v1/quote/ace-stepを実行すると、実行前の正確な価格が返されます。
このリクエスト: $0.012 12 APIクレジット このページで実行
新しいAPIキーです。 これは今だけ表示され、コードと下記のAPIキー欄にすでに入力されています。秘密にしてください。ブラウザで実行されるコードに決して含めないでください。
ACE Studio · 音声
最初の結果がここに表示されます
以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。
リクエストを作成
コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。
POST
/run/ace-step?wait=20
見積もり → $0.012
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ace-step?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"tags": "lofi, hiphop, drum and bass, trap, chill"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/ace-step?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"tags": "lofi, hiphop, drum and bass, trap, chill"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"tags": "lofi, hiphop, drum and bass, trap, chill",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/ace-step", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "ace-step",
"input": {
"tags": "lofi, hiphop, drum and bass, trap, chill"
},
"wait_seconds": 20
}
}
}
ACE Stepについて
カンマ区切りのスタイル`tags`と任意の`lyrics`から音楽トラックを作成します。[verse]や[chorus]などのセクションマーカーで曲の構成を整え、[inst]でインストゥルメンタルにできます。`duration`は5~240秒です。サンプリング設定には`scheduler`(eulerまたはheun)、`guidance_type`、3~60の`number_of_steps`があります。
パラメータ
名前型
デフォルト許可される値
説明
tags必須
型string
カンマ区切りのジャンルとして指定する音声スタイルタグ。代替手段として `prompt` でも指定できます。
lyrics任意
型string
デフォルト
歌唱する歌詞。セクションは [verse]、[chorus]、[bridge] などのコントロールで構成します。歌詞のない音声では、この入力を省略するか、[inst] または [instrumental] のみを指定してください。
duration任意
型number
デフォルト60
5 – 240
生成する音声の長さ(秒)。
number_of_steps任意
型integer
デフォルト27
3 – 60
音声生成時に使用するステップ数。
seed任意
型integer | null
再現可能な生成に使用するシード。値を指定しない場合はランダムに選択されます。
scheduler任意
型enum
デフォルトeuler
eulerheun
生成時に使用するスケジューラー。
guidance_type任意
型enum
デフォルトapg
cfgapgcfg_star
生成時に使用する CFG タイプ。
granularity_scale任意
型integer
デフォルト10
-100 – 100
生成時に適用する粒度スケール。増加させるとアーティファクトが減少する場合があります。
guidance_interval任意
型number
デフォルト0.5
0 – 1
ガイダンスを適用する生成スケジュールの範囲。0.5 を選ぶと、infer_steps の 0.25 * から 0.75 * までのステップに制限され、開始部分と終了部分にはガイダンスが適用されません。
guidance_interval_decay任意
型number
デフォルト0
0 – 1
生成区間内のガイダンス減衰。0.0 では減衰を無効にし、それ以外では、その区間でスケールを guidance_scale から min_guidance_scale まで減少させます。
guidance_scale任意
型number
デフォルト15
0 – 200
生成時に適用するガイダンスのスケール。
minimum_guidance_scale任意
型number
デフォルト3
0 – 200
生成中の減衰後に到達する最低ガイダンススケール。
tag_guidance_scale任意
型number
デフォルト5
0 – 10
生成時に適用するタグガイダンスのスケール。
lyric_guidance_scale任意
型number
デフォルト1.5
0 – 10
生成時に適用する歌詞ガイダンスのスケール。
必須
出力
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "ace-step",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 12,
"usd": "0.012",
"charged": 12,
"refunded": 0
},
"input": {
"tags": "lofi, hiphop, drum and bass, trap, chill"
},
"output": {
"audio": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_name": "0-output.mp3",
"file_size": 1843200
},
"seed": 42,
"tags": "lofi, hiphop, drum and bass, trap, chill",
"lyrics": "[inst]"
},
"outputs": [
{
"type": "audio",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_size": 1843200,
"duration": 12,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
- audio
- object {url, content_type, file_name, file_size}生成された音声ファイル。
- seed
- integer生成時に使用したランダムシード。
- tags
- string生成時に適用したジャンルタグ。
- lyrics
- string生成時に適用した歌詞。
その他のACE Stepバリアント
その他のモデル: テキストから音楽
AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/ace-step.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt